import { OutputViewProvider } from './index.js';
import Output, { IVisualsContext, IAudioContext, IDOMContext } from './output.js';
import { PartsManager } from '../parts/manager.js';
export declare class DefaultOutputViewProvider extends OutputViewProvider {
    private canvas;
    parts?: PartsManager;
    private _audioContext;
    private _microphone;
    private _onDidResize;
    constructor();
    onInstall(output: Output): void;
    getVisuals(): IVisualsContext;
    getAudio(): IAudioContext;
    resize(): void;
    onDispose(): void;
    getDOM(): IDOMContext;
    render(ctx: CanvasRenderingContext2D): Promise<void> | undefined;
}
export default DefaultOutputViewProvider;
